Bug 26538 - nmbd quits because pcmcia nic isn't initialized yet
nmbd quits because pcmcia nic isn't initialized yet
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: samba (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
David Lawrence
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-07 16:45 EST by Kevin Becker
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-07 16:45:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kevin Becker 2001-02-07 16:45:31 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)


Sony VAIO PCG-N505VE laptop configured to use DHCP for eth0.  The card 
fails to get an address with pump but works when the script falls back to 
dhcpcd. During boot nmb starts with [OK] but it isn't running after logon 
(portions of messages and log.nmbd are included in addtional 
info).  /etc/init.d/smb restart will fail to stop nmbd (because it's not 
running) but then will start it successfully and it runs fine.

Reproducible: Always
Steps to Reproduce:
1. Boot PC
2. ps -aux|grep mbd
	

Actual Results:  
root      1101  0.0  0.6  4140  416 ?        S    12:23   0:00 smbd -D
root      1508  0.0  0.9  1560  592 pts/1    S    15:38   0:00 grep mbd


Expected Results:  
root      1101  0.0  0.6  4140  416 ?        S    12:23   0:00 smbd -D
root      1111  0.0  1.1  3692  712 ?        S    12:23   0:01 nmbd -D
root      1508  0.0  0.9  1560  592 pts/1    S    15:38   0:00 grep mbd


Here is a portion of my /var/log/messages from the time that samba first 
initialises through me logging in and manually restarting it.  DHCPCD 
doesn't have an address for the card until after samba has started the 
first time.

Feb  7 12:19:00 vaio smb: smbd startup succeeded
Feb  7 12:19:00 vaio smb: nmbd startup succeeded
Feb  7 12:19:00 vaio anacron: anacron startup succeeded
Feb  7 12:19:00 vaio anacron[763]: Anacron 2.3 started on 2001-02-07
Feb  7 12:19:01 vaio anacron[763]: Will run job `cron.daily' in 5 min.
Feb  7 12:19:01 vaio rhnsd: rhnsd startup succeeded
Feb  7 12:19:01 vaio rhnsd[780]: Red Hat Network Services Daemon starting 
up.
Feb  7 12:19:02 vaio linuxconf: Running Linuxconf hooks: succeeded
Feb  7 12:19:20 vaio PAM_unix[810]: (system-auth) session opened for user 
t4991kb by (uid=0)
Feb  7 12:19:20 vaio gdm[810]: gdm_slave_session_start: t4991kb on :0
Feb  7 12:19:20 vaio kernel: eth0: flipped to 10baseT
Feb  7 12:19:21 vaio PAM_unix[810]: (system-auth) session closed for user 
t4991kb
Feb  7 12:19:22 vaio gdm[810]: gdm_auth_user_remove: /home/t4991kb is not 
owned by uid 0.
Feb  7 12:19:22 vaio gdm[810]: gdm_auth_user_remove: Ignoring suspiciously 
looking cookie file /hom
e/t4991kb/.Xauthority
Feb  7 12:19:36 vaio PAM_unix[855]: (system-auth) session opened for user 
t4991kb by (uid=0)
Feb  7 12:19:36 vaio gdm[855]: gdm_slave_session_start: t4991kb on :0
Feb  7 12:19:42 vaio gnome-name-server[976]: starting
Feb  7 12:19:42 vaio gnome-name-server[976]: name server starting
Feb  7 12:19:43 vaio modprobe: modprobe: Can't locate module block-major-22
Feb  7 12:19:49 vaio cardmgr[473]: + Determining IP information for 
eth0...Operation failed.
Feb  7 12:19:53 vaio kernel: eth0: flipped to 10baseT
Feb  7 12:19:54 vaio cardmgr[473]: + dhcpcd done.
Feb  7 12:20:00 vaio CROND[1049]: (root) CMD (   /sbin/rmmod -as)
Feb  7 12:23:04 vaio sudo:  t4991kb : TTY=pts/0 ; PWD=/home/t4991kb ; 
USER=root ; COMMAND=/etc/init
.d/smb restart
Feb  7 12:23:06 vaio smb: smbd shutdown succeeded
Feb  7 12:23:06 vaio smb: nmbd shutdown failed
Feb  7 12:23:07 vaio smb: smbd startup succeeded
Feb  7 12:23:08 vaio smb: nmbd startup succeeded

Here is the corresponding portion of my log.nmbd:

[2001/02/07 12:19:00, 1] nmbd/nmbd.c:main(757)
  Netbios nameserver version 2.0.7 started.
  Copyright Andrew Tridgell 1994-1998
[2001/02/07 12:19:00, 0] nmbd/nmbd_subnetdb.c:create_subnets(242)
  create_subnets: No local interfaces !
[2001/02/07 12:19:00, 0] nmbd/nmbd.c:main(817)
  ERROR: Failed when creating subnet lists. Exiting.
[2001/02/07 12:23:07, 1] nmbd/nmbd.c:main(757)
  Netbios nameserver version 2.0.7 started.
  Copyright Andrew Tridgell 1994-1998
Comment 1 Bill Nottingham 2001-02-08 02:13:35 EST
I believe this is currently fixed in the beta in where samba and
pcmcia are respectively ordered. You can also add '-f' to 
CARDMGR_OPTS in /etc/sysconfig/pcmcia; then the pcmcia script will
not exit until the card is configured.

Note You need to log in before you can comment on or make changes to this bug.